# Tags

Everything about tags

 - [GET /contacts/{contact_id}/tags](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/listtagsforacontact.md): You can fetch a list of all tags that are attached to a specific contact.
 - [POST /contacts/{contact_id}/tags](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/attachtagtocontact.md): You can tag a specific contact. This will return a tag object for the tag that was added to the contact.
 - [DELETE /contacts/{contact_id}/tags/{id}](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/detachtagfromcontact.md): You can remove tag from a specific contact. This will return a tag object for the tag that was removed from the contact.
 - [POST /conversations/{conversation_id}/tags](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/attachtagtoconversation.md): You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
 - [DELETE /conversations/{conversation_id}/tags/{id}](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/detachtagfromconversation.md): You can remove tag from a specific conversation. This will return a tag object for the tag that was removed from the conversation.
 - [GET /tags](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/listtags.md): You can fetch a list of all tags for a given workspace.
 - [POST /tags](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/createtag.md): You can use this endpoint to perform the following operations: **1. Create a new tag:** You can create a new tag by passing in the tag name as specified in "Create or Update Tag Request Payload" descr
 - [GET /tags/{id}](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/findtag.md): You can fetch the details of tags that are on the workspace by their id. This will return a tag object.
 - [DELETE /tags/{id}](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/deletetag.md): You can delete the details of tags that are on the workspace by passing in the id.
 - [Tag](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/tag.md): Schema: #/components/schemas/tag
 - [Tag](https://developers.intercom.com/docs/references/2.8/rest-api/api.intercom.io/tags/tag_basic.md): Schema: #/components/schemas/tag_basic
